import javax.swing.JOptionPane;

public class MainFigur {

    public static void main(String[] args) {
        Figur figur = null;

        String einlesenObjekt = JOptionPane
                .showInputDialog("Was wollen Sie erzeugen "
                        + "[Figur, Kreis, Rechteck]: ");

        while (!einlesenObjekt.equals("Figur")
                && !einlesenObjekt.equals("Kreis")
                && !einlesenObjekt.equals("Rechteck")) {
            einlesenObjekt = JOptionPane
                    .showInputDialog("Was wollen Sie erzeugen "
                            + "[Figur, Kreis, Rechteck]: ");
        }

        String einlesenPositionX = JOptionPane
                .showInputDialog("Mittelpunkt x-Position: ");
        int xpos = Integer.parseInt(einlesenPositionX);

        String einlesenPositionY = JOptionPane
                .showInputDialog("Mittelpunkt y-Position: ");
        int ypos = Integer.parseInt(einlesenPositionY);

        String farbe = JOptionPane.showInputDialog("Farbe: ");

        String einlesenFuellung = JOptionPane
                .showInputDialog("Füllung [true/false]: ");
        boolean fuellung = Boolean.parseBoolean(einlesenFuellung);

        if (einlesenObjekt.equals("Figur")) {
            figur = new Figur(xpos, ypos, farbe, fuellung);
        }
        else if (einlesenObjekt.equals("Kreis")) {
            String einlesenRadius = JOptionPane
                    .showInputDialog("Radius: ");
            double radius = Double.parseDouble(einlesenRadius);
            figur = new Kreis(xpos, ypos, farbe, fuellung, radius);
        }
        else if (einlesenObjekt.equals("Rechteck")) {
            String einlesenHoehe = JOptionPane
                    .showInputDialog("Höhe: ");
            double hoehe = Double.parseDouble(einlesenHoehe);
            String einlesenBreite = JOptionPane
                    .showInputDialog("Breite: ");
            double breite = Double.parseDouble(einlesenBreite);
            figur = new Rechteck(xpos, ypos, farbe, fuellung, hoehe,
                    breite);
        }

        System.out.println("Wir haben folgendes Objekt erzeugt: "
                + figur + " mit dem Mittelpunkt: "
                + figur.getMittelpunkt().getX() + ", "
                + figur.getMittelpunkt().getY());

        String einlesenDx = JOptionPane
                .showInputDialog("Objekt bewegen um x-Wert: ");
        int dx = Integer.parseInt(einlesenDx);

        String einlesenDy = JOptionPane
                .showInputDialog("Objekt bewegen um y-Wert: ");
        int dy = Integer.parseInt(einlesenDy);

        figur.bewegen(dx, dy);

        System.out.println("Das Objekt " + figur
                + " hat nun den Mittelpunkt: "
                + figur.getMittelpunkt().getX() + ", "
                + figur.getMittelpunkt().getY());
    }
}
