import javax.swing.JOptionPane;

public class InvestitionsrechnerB {

    public static final double HERSTELLUNGSKOSTEN = 22500;
    public static final double VERKAUFSPREIS = 25000;
    public static final double VERKAUFSSTEIGERUNG = 5;

    public static void main(String[] args) {
        // Einzulesen
        String einlesenInvestitionsbetrag = JOptionPane
                .showInputDialog("Investitionsbetrag eingeben : ");
        double investitionsbetrag = Double
                .parseDouble(einlesenInvestitionsbetrag);

        String einlesenAnzahlVerkaufterAutos = JOptionPane
                .showInputDialog("Anzahl verkaufter Autos eingeben : ");
        int anzahlVerkaufterAutos = Integer
                .parseInt(einlesenAnzahlVerkaufterAutos);

        // Berechnung
        amortisierung(investitionsbetrag, anzahlVerkaufterAutos);
    }

    public static void amortisierung(double investition, int autos) {
        double investitionsbetrag = investition;
        int anzahlVerkaufterAutos = autos;

        double gesamtGewinn = 0.0;
        int anzahlJahre = 1;

        while (gesamtGewinn < investitionsbetrag) {
            double kostenProJahr = HERSTELLUNGSKOSTEN
                    * anzahlVerkaufterAutos;
            double umsatzProJahr = VERKAUFSPREIS
                    * anzahlVerkaufterAutos;

            double gewinnProJahr = umsatzProJahr - kostenProJahr;

            gesamtGewinn = gesamtGewinn + gewinnProJahr;

            System.out.println("Jahr " + anzahlJahre + ":");
            System.out.println("   Anzahl verkaufter Autos: "
                    + anzahlVerkaufterAutos);
            System.out.println("   Kosten: " + kostenProJahr);
            System.out.println("   Umsatz: " + umsatzProJahr);
            System.out.println("   Gewinn: " + gewinnProJahr);
            System.out.println("   Gesamtgewinn: " + gesamtGewinn);

            anzahlJahre++;
            anzahlVerkaufterAutos = (int) (anzahlVerkaufterAutos + VERKAUFSSTEIGERUNG
                    / 100.0 * anzahlVerkaufterAutos);
        }
    }
}
