import javax.swing.JOptionPane;

public class TilgungsrechnerA {

    public static final double ZINSSATZ = 2.0;
    public static final double TILGUNGSSATZ = 10.0;

    public static void main(String[] args) {
        // Einzulesen
        String einlesenDarlehensbetrag = JOptionPane
                .showInputDialog("Darlehen eingeben : ");
        double darlehensbetrag = Double
                .parseDouble(einlesenDarlehensbetrag);

        // Zu berechnen
        double jahreszinsen;
        double jahrestilgung;

        double jahresrate = darlehensbetrag
                * (ZINSSATZ + TILGUNGSSATZ) / 100.0;
        double restschuld = darlehensbetrag;
        int jahr = 1;

        while (restschuld > 0.0) {
            jahreszinsen = ZINSSATZ / 100.0 * restschuld;
            jahrestilgung = jahresrate - jahreszinsen;
            if (jahrestilgung >= restschuld) {
                jahrestilgung = restschuld;
            }
            restschuld = restschuld - jahrestilgung;

            System.out.println("Jahr " + jahr + ":");
            System.out.println("   Jahreszinsen: " + jahreszinsen);
            System.out.println("   Jahrestilgung: " + jahrestilgung);
            System.out.println("   Restschuld: " + restschuld);

            jahr++;
        }
    }
}
